#include <config.h>

#include <cups/cups.h>
#include <cups/http.h>

#include "gnome-cups-util.h"
#include "gnome-cups-request.h"

gboolean
gnome_cups_check_daemon (void) 
{
	http_t *http;
	
	http = httpConnectEncrypt (cupsServer(), ippPort(), cupsEncryption());

	if (http) {
		httpClose (http);
		return TRUE;
	} else {
		return FALSE;
	}
}

GQuark
gnome_cups_error_quark (void)
{
	static GQuark quark = 0;
	
	if (quark == 0) {
		quark = g_quark_from_static_string ("gnome-cups-quark");
	}
	
	return quark;
}

char *
gnome_cups_get_printer_uri (const char *printer_name)
{
	char *uri;
	
	if (printer_name) {
		uri = g_strdup_printf ("ipp://localhost/printers/%s", 
				       printer_name);
	} else {
		uri = g_strdup_printf ("ipp://localhost/printers/");
	}

	return uri;
}
